gnutls_cipher_get_key_size(3)

NAME
gnutls_cipher_get_key_size - API function

SYNOPSIS
#include <gnutls/gnutls.h>

size_t gnutls_cipher_get_key_size(gnutls_cipher_algorithm_t algorithm);

ARGUMENTS

gnutls_cipher_algorithm_t algorithm
    is an encryption algorithm

DESCRIPTION
Get key size for cipher.

RETURNS
length (in bytes) of the given cipher's key size, or 0 if the given cipher is invalid.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/